Debian Bug report logs - #136874
aptitude: non-interactive mode `search' output is non-optimal

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Miles Bader <miles@lsi.nec.co.jp>

Date: Tue, 5 Mar 2002 03:03:02 UTC

Severity: wishlist

Found in version 0.2.10-1

Fixed in version aptitude/0.4.11.4-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org:
Bug#136874; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Miles Bader <miles@lsi.nec.co.jp>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miles Bader <miles@lsi.nec.co.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: non-interactive mode `search' output is non-optimal
Date: Tue, 05 Mar 2002 11:53:25 +0900
Package: aptitude
Version: 0.2.10-1
Severity: wishlist


The text output by the non-interactive `search' command (e.g.,
`aptitude search ...' from the shell) is both truncated and padded to
aptitude's idea of the terminal width.

I think this is sometimes useful, but often very annoying (like dpkg's
_incredibly_ annoying habit of truncate package names!).

I think it would be nice if aptitude did the following for
non-interactive output:

  (1) Use terminal width as a target, when trying to decide how to
      divide into columns, but _don't_ truncate output to that width
      (except as an option, perhaps).  It's very often useful to see
      everything, even if it's ugly.

  (2) Don't truncate individual columns of info by default (especially
      the package name!)

  (3) Don't pad the end of lines to the terminal width (this is
      especially aggravating when using an emacs shell buffer, because
      all those lines padded to 80 characters cause emacs to wrap on the
      last one, even though it's usually just a space).

Perhaps the escape sequence syntax could be extended to be more useful
for non-interactive output, e.g., where `E' is an escape sequence letter
(vaguely following printf's rules):

   `%E'    -> auto-sized, but non-truncated
   `%20E'  -> width is 20 characters, not truncated
   `%.20E' -> width is 20 characters, truncated
   `%.E'   -> auto-sized, truncated (the current default)

[Note that if someone could use `%1E' to get a column that wasn't padded
or truncated ever, like printf's %s]

... or something like that.

-Miles


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux mcspd15 2.4.18 #1 Tue Feb 26 10:21:49 JST 2002 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.2- 0.5.4           Advanced front-end for dpkg
ii  libc6                    2.2.5-3         GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-5 Shared libraries for terminal hand
ii  libsigc++0               1.0.4-2         Typesafe Signal Framework for C++ 
ii  libstdc++2.10-glibc2.2   1:2.95.4-2      The GNU stdc++ library




Information forwarded to debian-bugs-dist@lists.debian.org, aptitude@packages.qa.debian.org:
Bug#136874; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to aptitude@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 136874@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Miles Bader <miles@lsi.nec.co.jp>, 136873@bugs.debian.org, 136874@bugs.debian.org
Subject: Re: Bug#136873: aptitude: non-interactive mode probably shouldn't display status messages
Date: Mon, 4 Mar 2002 22:24:39 -0500
On Tue, Mar 05, 2002 at 11:35:28AM +0900, Miles Bader <miles@lsi.nec.co.jp> was heard to say:
> When using the non-interactive `search' command, aptitude outputs
> various progress messages:
> 
>    (uclinux) aptitude search java
>    Reading Package Lists... Done
>    Building Dependency Tree       
>    Reading extended state information... Done
>    p   entity-javascript               - XML-based GUI builder for GTK+ (JavaScript
> 
> I think people may want to use this command in scripts, etc., in and so
> might be annoyed by the extra three lines of status messages.
> 
> Morever, the messages don't really seem necessary -- at least on my
> machine, there's only a very short delay while does all the stuff the
> they refer to, so it's not like there's a huge long delay that the
> user should be told about...

On Tue, Mar 05, 2002 at 11:53:25AM +0900, Miles Bader <miles@lsi.nec.co.jp> was heard to say:
> The text output by the non-interactive `search' command (e.g.,
> `aptitude search ...' from the shell) is both truncated and padded to
> aptitude's idea of the terminal width.
> 
> I think this is sometimes useful, but often very annoying (like dpkg's
> _incredibly_ annoying habit of truncate package names!).

  Both known and will be fixed in a future release -- I wanted to get
the first revision of the command-line magic out, and this was the
quickest way to get redefinable formatting.
  Besides, no-one could script using aptitude before, so it's at least
no worse in this regard than previous versions :)

  Probably this command will be modified to never truncate or expand any
columns in the future, at least as an option.

  Thanks for reporting them, though :)

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                   It is hard to think of anything                           |
|                   less sentient than a pumpkin.                             |
|                     -- Terry Pratchett, _Witches Abroad_                    |
\---------------------- A duck! -- http://www.python.org ---------------------/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org:
Bug#136874; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Miles Bader <miles@gnu.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 136874@bugs.debian.org (full text, mbox):

From: Miles Bader <miles@lsi.nec.co.jp>
To: Daniel Burrows <dburrows@debian.org>
Cc: 136873@bugs.debian.org, 136874@bugs.debian.org
Subject: Re: Bug#136873: aptitude: non-interactive mode probably shouldn't display status messages
Date: 11 Mar 2002 11:54:01 +0900
Daniel Burrows <dburrows@debian.org> writes:
>   Thanks for reporting them, though :)

Well, thank you for _finally_ doing the apt UI thing right.

Before it seemed like it was never going to happen -- dselect was was
unmaintainable, and its apparent successor, console-apt, was a poor joke;
even if you had the luxury of running X, all the GUI interfaces were just
not very usable for more than the most basic tasks.

The last time I tried aptitude (a long time ago), it seemed vaguely
promising (at least, it was obvious that the author was more clueful
about UIs than whoever was doing console-apt), but very far from
completion.  I saw some mention of it recently on the boot-floppies list
(are they going to include it?), and tried it out again.

Simply put, it rocks.  This is what I wanted.

Moreover, the command-line interface, even in its nascent form, seems like
a nice replacement for direct use of apt-get/apt-cache from the shell.
The `~' search stuff is really, really, useful, and the `markauto' stuff
is a wonderful replacement for old kludgey shell scripts doing something
similar (I always wondered why such an `auto-installed' flag wasn't
implemented by the apt library a long time ago).

My only complaint, really, is that the name is a bit hard to type
(something about those all those staccato constants), but that's just a
matter of `alias apt="sudo aptitude"'.

Er, anyway, thanks.

-Miles
-- 
.Numeric stability is probably not all that important when you're guessing.



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org:
Bug#136874; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Miles Bader <miles@gnu.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>, aptitude@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 136874@bugs.debian.org (full text, mbox):

From: Miles Bader <miles@lsi.nec.co.jp>
To: Daniel Burrows <dburrows@debian.org>
Cc: 136873@bugs.debian.org, 136874@bugs.debian.org
Subject: Re: Bug#136873: aptitude: non-interactive mode probably shouldn't display status messages
Date: 12 Mar 2002 11:27:48 +0900
Daniel Burrows <dburrows@debian.org> writes:
>   Probably this command will be modified to never truncate or expand any
> columns in the future, at least as an option.

Also, when you make these changes, could you make the default
max-line-width 79 instead of 80, just to help us emacs shell mode users ... ?
[this obviously only matters for command-line use]

Thanks,

-Miles
-- 
`Cars give people wonderful freedom and increase their opportunities.
 But they also destroy the environment, to an extent so drastic that
 they kill all social life' (from _A Pattern Language_)



Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Miles Bader <miles@lsi.nec.co.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 136874-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 136874-close@bugs.debian.org
Subject: Bug#136874: fixed in aptitude 0.4.11.4-1
Date: Sun, 08 Jun 2008 01:32:04 +0000
Source: aptitude
Source-Version: 0.4.11.4-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.4-1_i386.deb
aptitude-doc-cs_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.4-1_all.deb
aptitude-doc-en_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.4-1_all.deb
aptitude-doc-fi_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.4-1_all.deb
aptitude-doc-fr_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.4-1_all.deb
aptitude-doc-ja_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.4-1_all.deb
aptitude_0.4.11.4-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.diff.gz
aptitude_0.4.11.4-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.dsc
aptitude_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.4-1_i386.deb
aptitude_0.4.11.4.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 136874@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 17:05:21 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.4-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 136874 473580 473829 483620 483920 483943
Changes: 
 aptitude (0.4.11.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Fixed a nasty resolver bug that would cause solutions to be chosen
       poorly in some cases involving self-conflicts. (Closes: #483920)
 .
     - "aptitude search" now takes a command-line argument
       "--disable-columns" that prevents aptitude from padding or
       truncating strings to line text up into columns.  This makes
       the output much more script-friendly.  (Closes: #136874)
 .
     - Fixed the formatting of literal elements in the manpage.
       (Closes: #473580)
 .
     - Defaults files for locales that contain an underscore (such as pt_BR
       or zh_CN) should get installed now. (Closes: #483620)
 .
     - Translation update for Russian. (Closes: #483943)
 .
   * aptitude-dbg recommends libcwidget3-dbg now, not libcwidget1-dbg.
     (Closes: #473829)
 .
   * Bring the Standards-Version up-to-date.  No other changes were needed;
     the only change to Policy lately that affects aptitude was the
     restructuring of the menu hierarchy, and aptitude is already
     up-to-date with that.
 .
   * Bring README.Debian up-to-date regarding the location of the upstream
     and Debian repositories.
Checksums-Sha1: 
 4ef9235ac164d7a7b0085128182359d3ad02b294 1382 aptitude_0.4.11.4-1.dsc
 4b1a407f1541882f8590787c425c3d7d7762ff7f 5713470 aptitude_0.4.11.4.orig.tar.gz
 91ba9e7d6537bc62bcaac9a097aff86b7c064fea 34871 aptitude_0.4.11.4-1.diff.gz
 0ccf6e47038433a9917e41169a343297d3bde4b7 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 b84976f5c03272cc0ec098efb8807a22626f5a7e 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 bc8ebc7e890ba9a1ebea58c685f4344724ded5f4 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 20156c7604775bac3bfbd490cebeac517d32d8f7 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 af3b6c89446a7d82f78bc4634b04c4d9f27b4f1f 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 0e1ce88d03d224f76d0af5748661a92e7c19e265 2771074 aptitude_0.4.11.4-1_i386.deb
 6032927d0102adf46970e3c01defc7974a183c77 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Checksums-Sha256: 
 a54ed4c3424263338976beec1f4fb4506e889cf7d8a0e6e0159a1a590c57cc5f 1382 aptitude_0.4.11.4-1.dsc
 2a2cd488c2397e6b1fb02e035854addfbe0fec2253726d7f294d1ab2c08d4aeb 5713470 aptitude_0.4.11.4.orig.tar.gz
 6fbbecec0750ff4f3a764f0e0855b3c6dcf451c9e608694a6fa0d1c576dbeee3 34871 aptitude_0.4.11.4-1.diff.gz
 d483942e6488eec2746cf0f8780ab19e9f2dc70ab5644e12176f1a6a6ce221da 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 2910704fa5bb510316ec268d0aefaf84868d57c85b339669574f0633a6ff5e7a 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 1ba5f4736f9d2345c50a36c43f9afc42ed9db4736a1d7062d29d9f0cff246167 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 264969bb307bbd77d6be1e8776ee606a4e459247ecccbbafb7f7844ab9c161bc 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 654b963ad6f6ed67cd73bbd04bbabfb182544c72e568368823f0d3d7eed12902 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 15534535b87a555cd2f6219408c76d4cabf86071719f3503a89e66ac40263486 2771074 aptitude_0.4.11.4-1_i386.deb
 a475875c6b93b9a180e5ef7229cd8e2423f9d5266fec8309cb5f8711b002cd99 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Files: 
 3e5f49cf581b06b0d1153b77405ae9af 1382 admin - aptitude_0.4.11.4-1.dsc
 85ed892ac7f8fa8784e873a1f691c322 5713470 admin - aptitude_0.4.11.4.orig.tar.gz
 69b22d0a110e430fd60c24114078c248 34871 admin - aptitude_0.4.11.4-1.diff.gz
 db45dcae83cbba11434a0a00d59a8cfe 345082 doc optional aptitude-doc-cs_0.4.11.4-1_all.deb
 8ad7bc4cd80d0a45826dc1c038cebe92 353208 doc optional aptitude-doc-en_0.4.11.4-1_all.deb
 13cceb5a5d2b883378bcc63c44110b91 263570 doc optional aptitude-doc-fi_0.4.11.4-1_all.deb
 c60ad2a243e00d8151249071b7873b63 297996 doc optional aptitude-doc-fr_0.4.11.4-1_all.deb
 55ce7fc800c89d1c5dacba741e56bff9 363622 doc optional aptitude-doc-ja_0.4.11.4-1_all.deb
 a3c693b9129c2276804642453f190257 2771074 admin important aptitude_0.4.11.4-1_i386.deb
 1892777129b6dc5b9c2e319581e71fbf 5905982 devel extra aptitude-dbg_0.4.11.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFISzQZch6xsM7kSXgRAoPwAJ4vMeFXxYO/BRXuiJ9AbH4H/4Sv9QCg2K8I
iVxebK6KRHSkWXiGBvlW/pA=
=fJEy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Oct 2009 07:47:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:59:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.